echo off
cls
echo *******************************************************************************
echo ** 
echo **   Author     : Vinay Bagare
echo **   Purpose    : Generates DDL into different Files
echo **   Parameter  : Database Name
echo **   Assumption : 
echo **   Program    : GenDDL.Bat
echo **   
echo *******************************************************************************

TITLE GenDDL R 1.0 For Window NT

SET HOME_GenDDL=C:\Vindoc\UTILITY\GenDDL


IF "%1" == "" %HOME_GenDDL%\out.bat

ECHO.
ECHO Moving all Files from %HOME_GenDDL%\DDL_File to %HOME_GenDDL%\Old_File   directory
ECHO.
ECHO.


move %HOME_GenDDL%\DDL_File\*.* %HOME_GenDDL%\OLD_File\


ECHO.
ECHO.
ECHO Checking whether Database "%1" exists on SYSTEST ...
ECHO.
ECHO.

IF EXIST %HOME_GenDDL%\scripts\CheckParm.bteq del %HOME_GenDDL%\scripts\CheckParm.bteq 
IF EXIST %HOME_GenDDL%\scripts\DB.bat  del %HOME_GenDDL%\scripts\DB.bat

TYPE %HOME_GenDDL%\logon\logon.txt                        > %HOME_GenDDL%\scripts\CheckParm.bteq 
ECHO SELECT * FROM DBC.Databases WHERE DatabaseName = '%1'; >> %HOME_GenDDL%\scripts\CheckParm.bteq 

ECHO .IF ACTIVITYCOUNT = 0 THEN  .OS ECHO SYSTEST ^> %HOME_GenDDL%\scripts\DB.bat >> %HOME_GenDDL%\scripts\CheckParm.bteq 

ECHO .LOGOFF;                                               >> %HOME_GenDDL%\scripts\CheckParm.bteq 
ECHO .QUIT;                                                 >> %HOME_GenDDL%\scripts\CheckParm.bteq 
ECHO.                                                       >> %HOME_GenDDL%\scripts\CheckParm.bteq 

BTEQ < %HOME_GenDDL%\scripts\CheckParm.bteq > %HOME_GenDDL%\Log\CheckParmSrc.log

rem Check if Suppied DB is Valid 
if exist %HOME_GenDDL%\scripts\DB.bat for /f %%x in (%HOME_GenDDL%\scripts\DB.bat) DO CALL %HOME_GenDDL%\Scripts\Chk_DB.bat %%x %1 



if exist %HOME_GenDDL%\Scripts\GenBteq.bat del %HOME_GenDDL%\Scripts\GenBteq.bat
if exist %HOME_GenDDL%\Scripts\GenScript.Bat  del %HOME_GenDDL%\Scripts\GenScript.Bat 


TYPE %HOME_GenDDL%\logon\logon.txt                                      > %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .set defaults                                                     >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .set format off                                                   >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .set foldline off all                                             >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .set sidetitles off                                               >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .set width 800                                                    >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\GenBteq.bat

ECHO .export report file=%HOME_GenDDL%\Scripts\GenScript.Bat           >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\GenBteq.bat

ECHO SELECT                                                            >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO 'CALL %HOME_GenDDL%\scripts\GenShowDDL.Bat' (TITLE '')            >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO ,TRIM(DatabaseName) (TITLE '')                                    >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO ,TRIM(TableName) (TITLE '')                                       >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO ,TRIM(TableKind) (TITLE '')                                       >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO FROM DBC.Tables                                                   >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO WHERE TableKind IN ( 'V','M','p','t')                             >> %HOME_GenDDL%\Scripts\GenBteq.bat
rem ECHO WHERE TableKind IN ( 'V','t')                                 >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO AND DatabaseName IN '%1'                                          >> %HOME_GenDDL%\Scripts\GenBteq.bat
REM TYPE %HOME_GenDDL%\Scripts\T.BTEQ                                  >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO ORDER BY 2,3;                                                     >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .export reset                                                     >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .LOGOFF;                                                          >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO .QUIT;                                                            >> %HOME_GenDDL%\Scripts\GenBteq.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\GenBteq.bat

bteq < %HOME_GenDDL%\Scripts\GenBteq.bat> %HOME_GenDDL%\log\GenBteq.log

rem CALL %HOME_GenDDL%\scripts\cleanup.bat


CALL %HOME_GenDDL%\scripts\GenScript.Bat

echo.
echo.
echo.
echo.
echo.
echo.
echo.

