echo off
cls
echo *******************************************************************************
echo ** 
echo **   Author     : Vinay Bagare
echo **   Purpose    : Generates DDL into different Files
echo **   Parameter  : Database Name
echo **   Assumption : 
echo **   Program    : GenShowDDL
echo **   
echo *******************************************************************************

echo. 
echo. 
echo ***********************************
echo. 
echo Processing ...
echo. 

echo DatabaseName    %1
echo TableName       %2
echo. 
echo. 
echo ***********************************
echo. 
echo. 


IF EXIST %HOME_GenDDL%\DDL_File\%2.txt del %HOME_GenDDL%\DDL_File\%2.txt

IF EXIST %HOME_GenDDL%\Scripts\RunShowDLL.bat del %HOME_GenDDL%\Scripts\RunShowDLL.bat


TYPE %HOME_GenDDL%\logon\logon.txt                                      > %HOME_GenDDL%\Scripts\RunShowDLL.bat

ECHO.                                                                  >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .set defaults                                                     >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .set titledashes off                                              >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .set format off                                                   >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .set foldline off all                                             >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .set sidetitles off                                               >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .set width 8000                                                   >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\RunShowDLL.bat

IF "%3" == "T" ECHO .export report file=%HOME_GenDDL%\DDL_File\T_%2.txt                 >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
IF "%3" == "V" ECHO .export report file=%HOME_GenDDL%\DDL_File\V_%2.txt                 >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
IF "%3" == "P" ECHO .export report file=%HOME_GenDDL%\DDL_File\P_%2.txt                 >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
IF "%3" == "M" ECHO .export report file=%HOME_GenDDL%\DDL_File\M_%2.txt                 >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO.                                                                                   >> %HOME_GenDDL%\Scripts\RunShowDLL.bat

IF "%3" == "T" ECHO SHOW TABLE %1.%2;                                  >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
IF "%3" == "V" ECHO SHOW view %1.%2;                                   >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
IF "%3" == "M" ECHO SHOW MACRO %1.%2;                                  >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
IF "%3" == "P" ECHO SHOW PROCEDURE %1.%2;                              >> %HOME_GenDDL%\Scripts\RunShowDLL.bat

ECHO .EXPORT RESET                                                     >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .LOGOFF;                                                          >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO .QUIT;                                                            >> %HOME_GenDDL%\Scripts\RunShowDLL.bat
ECHO.                                                                  >> %HOME_GenDDL%\Scripts\RunShowDLL.bat



BTEQ <%HOME_GenDDL%\Scripts\RunShowDLL.bat> %HOME_GenDDL%\log\RunShowDLL.log
